import React from "react";
import { MatrixClient, Beacon, Room } from "matrix-js-sdk/src/matrix";
export interface IProps {
    roomId: Room["roomId"];
    matrixClient: MatrixClient;
    initialFocusedBeacon?: Beacon;
    onFinished(): void;
}
/**
 * Dialog to view live beacons maximised
 */
declare const BeaconViewDialog: React.FC<IProps>;
export default BeaconViewDialog;
